import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="GWpyxel",
    version="0.9.0",
    author="Maxime Fays",
    author_email="maxime.fays@ligo.org",
    description="A small example package",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/pypa/sampleproject",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.7",
    install_requires=[
        "jupyter",
        "lalsuite",
        "pycbc",
        "gwpy",
        "pyfftw",
        "scikit-image",
        "astropy",
        "photutils",
        "pandas",
        "dotted-dict",
        "configobj",
        "PyYAML",
        "seaborn",
        "ConfigArgParse",
        "Codetiming",
        "Rich",
        "Torch",
        "Torchvision",
        "Shortuuid",
        "configdot",
        "dotted_dict",
        "yaspin",
        "hide_warnings",
        "hdbscan",
        "varname",
    ],
    scripts=["GWpyxel/bin/GWpyxel", "GWpyxel/bin/GWpyxel_analysis"],
)
